// see http://vuejs-templates.github.io/webpack for documentation.
var path = require('path')

var argv = process.argv.slice(2);
var isPreProduction  = argv.indexOf('preProduction') !== -1;

console.log(argv,isPreProduction);

module.exports = {
  build: {
    env: require('./prod.env'),
    index: path.resolve(__dirname, '../eta_front/index.html'),
    assetsRoot: path.resolve(__dirname, '../eta_front'),
    assetsSubDirectory: 'static',
//  assetsPublicPath: '/vue-admin/',
		assetsPublicPath: './',
    productionSourceMap: false,
    // Gzip off by default as many popular static hosts such as
    // Surge or Netlify already gzip all static assets for you.
    // Before setting to `true`, make sure to:
    // npm install --save-dev compression-webpack-plugin
    productionGzip: true,
    productionGzipExtensions: ['js', 'css'],
    // Run the build command with an extra argument to
    // View the bundle analyzer report after build finishes:
    // `npm run build --report`
    // Set to `true` or `false` to always turn it on or off
    bundleAnalyzerReport: process.env.npm_config_report
  },
  dev: {
	//	原始配置
    env: require('./dev.env'),
    host: 'newadmin.brilliantstart.cn', // can be overwritten by process.env.HOST
    port: '3030',
    autoOpenBrowser: false,
    assetsSubDirectory: 'static',
    assetsPublicPath: '/',
    proxyTable:{
		'/adminapi': {
      target: "http://8.136.199.33:7778",
      // target: "http://192.168.77.7:8606",
			// secure:false,  // 如果是https接口，需要配置这个参数
			changeOrigin:true, // 如果接口跨域，需要进行这个参数配置
			pathRewrite:{
			  '^/adminapi':'/adminapi'
			},
		}
	},
    // CSS Sourcemaps off by default because relative paths are "buggy"
    // with this option, according to the CSS-Loader README
    // (https://github.com/webpack/css-loader#sourcemaps)
    // In our experience, they generally work as expected,
    // just be aware of this issue when enabling this option.
    cssSourceMap: false
  },
  test: {
    env: !isPreProduction ? require('./prod.test.env') : require('./prod.pre.env'),
    index: !isPreProduction ? path.resolve(__dirname, '../eta_front/index.html') : path.resolve(__dirname, '../eta_front/index.html') ,
    assetsRoot: !isPreProduction ? path.resolve(__dirname, '../eta_front') : path.resolve(__dirname, '../eta_front'),
    assetsSubDirectory: 'static',
//  assetsPublicPath: '/vue-admin/',
		assetsPublicPath: './',
    productionSourceMap: false,
    // Gzip off by default as many popular static hosts such as
    // Surge or Netlify already gzip all static assets for you.
    // Before setting to `true`, make sure to:
    // npm install --save-dev compression-webpack-plugin
    productionGzip: true,
    productionGzipExtensions: ['js', 'css'],
    // Run the build command with an extra argument to
    // View the bundle analyzer report after build finishes:
    // `npm run build --report`
    // Set to `true` or `false` to always turn it on or off
    bundleAnalyzerReport: process.env.npm_config_report
  }
}
