const home = (r) =>
  require.ensure([], () => r(require("@/views/Home.vue")), "Home"); //主页

export default [
  // 数据录入
  {
    path: "/",
    component: home,
    name: "数据源",
    hidden: false,
    icon_path: require("@/assets/img/home/data_ic.png"),
    children: [
      {
        path: "targetList",
        component: () => import("@/views/dataEntry_manage/targetList"),
        name: "手工指标列表",
        hidden: false,
        meta: {
          keepAlive: false,
        },
      },
      {
        path: "lzTarget",
        component: () =>
          import("@/views/dataEntry_manage/thirdBase/lzTargetbase.vue"),
        name: "隆众原始数据库",
        hidden: false,
        meta: {
          keepAlive: false,
        },
      },
      {
        path: "glTarget",
        component: () =>
          import("@/views/dataEntry_manage/thirdBase/glTargetbase.vue"),
        name: "钢联原始数据库",
        hidden: false,
        meta: {
          keepAlive: false,
        },
      },
      {
        path: "dataList",
        component: () => import("@/views/dataEntry_manage/dataEntry.vue"),
        name: "手工数据录入",
        hidden: false,
        meta: {
          keepAlive: false,
        },
      },
      {
        path: "onlineExcelCopy",
        component: () => import("@/views/dataEntry_manage/onlineExcelCopy.vue"),
        name: "复制excel数据",
        meta: {
          pathFrom: "dataList",
          pathName: "手工数据录入",
        },
        hidden: true,
      },
      {
        path: "smmTarget",
        component: () =>
          import("@/views/dataEntry_manage/thirdBase/smmTargetbase.vue"),
        name: "SMM原始数据库",
        hidden: false,
        meta: {
          keepAlive: false,
        },
      },
      {
        path: "gasTarget",
        component: () => import("@/views/dataEntry_manage/gasbase/index.vue"),
        name: "天然气",
        hidden: false,
      },
      {
        path: "gasHistory",
        component: () => import("@/views/dataEntry_manage/gasbase/history.vue"),
        name: "天然气历史数据",
        hidden: true,
      },
      {
        path: "zhengzhoushop",
        component: () =>
          import("@/views/dataEntry_manage/thirdBase/zzExchangeData.vue"),
        name: "郑商所",
        hidden: false,
        meta: {
          keepAlive: false,
        },
      },
      {
        path: "dalianshop",
        component: () =>
          import("@/views/dataEntry_manage/thirdBase/dlExchangeData.vue"),
        name: "大商所",
        hidden: false,
        meta: {
          keepAlive: false,
        },
      },
      {
        path: "shanghaifutures",
        component: () =>
          import("@/views/dataEntry_manage/thirdBase/shFutures.vue"),
        name: "上期所",
        hidden: false,
        meta: {
          keepAlive: false,
        },
      },
      {
        path: "chinafutures",
        component: () =>
          import(
            "@/views/dataEntry_manage/thirdBase/chinaFinancialFutures.vue"
          ),
        name: "中金所",
        hidden: false,
        meta: {
          keepAlive: false,
        },
      },
      {
        path: "shanghaienergy",
        component: () =>
          import("@/views/dataEntry_manage/thirdBase/shEnergy.vue"),
        name: "上期能源",
        hidden: false,
        meta: {
          keepAlive: false,
        },
      },
      {
        path: "chineseCoal",
        component: () => import("@/views/dataEntry_manage/coal/index.vue"),
        name: "中国煤炭市场网",
        hidden: false,
      },
      {
        path: "googleTravel",
        component: () =>
          import("@/views/dataEntry_manage/googleTravel/index.vue"),
        name: "谷歌出行指数",
        hidden: false,
      },
      {
        path: "steelChemical",
        component: () =>
          import("@/views/dataEntry_manage/thirdBase/steelChemicalbase.vue"),
        name: "钢联化工数据库",
        hidden: false,
      },
      {
        path: "steobase",
        component: () =>
          import("@/views/dataEntry_manage/thirdBase/elaSteoBase.vue"),
        name: "EIA  STEO报告",
        hidden: false,
      },
      {
        path: "UNdata",
        component: () =>
          import("@/views/dataEntry_manage/thirdBase/UNdata.vue"),
        name: "UN",
        hidden: false,
      },
      {
        path: "SCIdata",
        component: () =>
          import("@/views/dataEntry_manage/thirdBase/SCITargetbase.vue"),
        name: "卓创数据（红桃3）",
        hidden: false,
      },
      {
        path: "BAIINFOdata",
        component: () =>
          import("@/views/dataEntry_manage/thirdBase/BAIINFOTargetbase.vue"),
        name: "百川盈孚",
        hidden: false,
      },
      {
        path: "NationalData",
        component: () =>
          import("@/views/dataEntry_manage/thirdBase/NationalDataBase.vue"),
        name: "国家统计局",
        hidden: false,
      },
      {
        path: "futuresbase",
        name: "期货数据库",
        component: () => import("@/views/futures_manage/futuresBase.vue"),
      },
      {
        path: "databankBase",
        component: () => import("@/views/dataEntry_manage/thirdBase/DatabankBase.vue"),
        name: "数据宝",
        hidden: false,
        meta: {
          keepAlive: false,
        },
      },
      {
        path: "yyzx",
        component: () => import("@/views/dataEntry_manage/thirdBase/YyzxData.vue"),
        name: "涌益咨询",
        hidden: false,
        meta: {
          keepAlive: false,
        },
      },
      {
        path: "ysTarget",
        component: () =>
          import("@/views/dataEntry_manage/thirdBase/ysTargetBase.vue"),
        name: "有色原始数据库",
        hidden: false,
      },
    ],
  },
];
