const pptdtl = r => require.ensure([], () => r(require('@/views/ppt_manage/pptdtl')), 'pptdtl'); //ppt管理-预览ppt
const home = r => require.ensure([], () => r(require('@/views/Home.vue')), 'Home'); //主页
const pptlist = r => require.ensure([], () => r(require('@/views/ppt_manage/pptlist')), 'pptlist'); //ppt管理-ppt列表

export default [
  {
		path: '/pptdtl',
		component: pptdtl,
		name: '预览ppt',
		hidden: true
	},
	{
		path: '/pptpresent',
		component: () => import('@/views/ppt_manage/newVersion/pptPresent.vue'),
		name: 'ppt演示',
		hidden: true,
	},{
		path: '/pptpublish',
		component: () => import('@/views/ppt_manage/newVersion/pptPublish.vue'),
		name: 'ppt发布',
		hidden: true,
	},
   //英文ppt 演示 发布
  {
    path: '/pptenpresent',
		component: () => import('@/views/ppt_manage/newVersion/pptEnPresent.vue'),
		name: 'ppt演示',
		hidden: true,
  },
	{
    path: '/pptenpublish',
		component: () => import('@/views/ppt_manage/newVersion/pptEnPublish.vue'),
		name: 'ppt发布',
		hidden: true,
  },

  // ppt自动生成
	{
		path: '/',
		component: home,
		name: '智能PPT',
		icon_path: require('@/assets/img/home/ppt_ic.png'),
		hidden: false,
		children: [
      //旧版ppt
      {
				path: 'pptlistOld',
				component: pptlist,
				name: 'ppt列表',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			//智能ppt
			{
				path: 'pptlist_',
				component: () => import('@/views/ppt_manage/newVersion/pptList.vue'),
				name: 'ppt列表',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},{
				path: 'ppteditor',
				component: () => import('@/views/ppt_manage/newVersion/pptEditor.vue'),
				name: 'ppt编辑',
				hidden: true,
				meta: {
					keepAlive: false
				}
			},{
				path: 'pptlist',
				component: () => import('@/views/ppt_manage/newVersion/pptCatalog.vue'),
				name: 'PPT列表',
				hidden: true,
				meta: {
					keepAlive: false
				}
			}
		]
	},

  //英文ppt
  {
    path:'/',
    component:home,
    name:'英文PPT',
    icon_path: require('@/assets/img/home/ppt_ic.png'),
    hidden:false,
    children:[
      {
        path: 'ppteneditor',
        component: () => import('@/views/ppt_manage/newVersion/pptEnEditor.vue'),
        name: 'ppt编辑',
        hidden: true,
        meta: {
          keepAlive: false
        }
      },{
        path: 'pptenlist',
        component: () => import('@/views/ppt_manage/newVersion/pptEnCatalog.vue'),
        name: 'PPT列表',
        hidden: true,
        meta: {
          keepAlive: false
        }
      },
    ]
  },
]