//相关性分析
export const chartrelevanceTextArr = [
    `<p style='font-weight:bold;'>相关性计算处理逻辑：</p>
    <p>1、取数：取计算窗口的时间长度，从当前时间往前推移对应的时间长度，取该日期区间，指标A序列值和指标B序列值；</p>
    <p>2、变频：根据指标A和指标B的频度对取出的数据序列做如下处理</p>
    <p>①指标A高频，对指标B升频（线性方程插值法补全数据）;</p>
    <p>②指标B高频，对指标A升频（线性方程插值法补全数据）;</p>
    <p>③指标A，指标B同频，不作处理；</p>
    <p>3、计算：按照分析周期，以指标A为基准，对指标B作对应期数的位移，根据公式相关系数R = SUM[(Xi-Mx)*(Yi-My)]/[(N-1)(SDx*SDy)]，计算每个期数对应的相关性；</p>
    <p style='height:20px;'></p>
    <p>注：指标B作位移时，若以指标A的日期序列未找到指标B的值，则往前找最近值进行计算（往前找的范围为当前日期往前推移计算窗口的时间范围）</p>`,
    `<p style='font-weight:bold;'>相关性配置：</p>
    <p>1、计算窗口：参与计算的历史数据时间段；</p>
    <p>2、分析周期：指标B领先A的期数，如配置参数10个月，表示B领先A -10月、B领先A -9月，...，B领先A 9月、B领先A 10月，每期分别计算相关性值；</p>`,
    `<p style='font-weight:bold;'>滚动相关性配置：</p>
    <p>1、计算窗口：参与计算的时间段长度，从两个指标都有值的日期开始滚动的取计算窗口长度的值进行计算，如配置计算窗口1个月，则2023.7.28的值取2023.6.28~2023.7.28时间段，2023.7.27的值取2023.6.27~2023.7.27时间段；</p>
    <p>2、B领先A：B指标领先A指标的参数，为0时不领先；</p>`
]

//拟合方程曲线
export const fittingEquationListTextArr = [
    `<p style='font-weight:bold;'>拟合方程曲线处理逻辑：</p>
    <p>1、选择两组有相关性的指标</p>
    <p>2、对两组在选定时间范围内的每一个时间节点,生成拟合方程Y=aX+b以及相关系数R²</p>
    <p>3、分别画出弹性系数a,截距b,相关系数R²,在选定时间范围内的曲线图</p>`,
]

export const statisticFeatureListTextArr = [
    `<p style='font-weight:bold;'>标准差处理逻辑：</p>
    <p>计算所选时间范围内数据的样本标准差s，s=sqrt(((x1-x)^2 (x2-x)^2 ......(xn-x)^2)/(n-1))，n表示数据个数</p>`,
    `<p style='font-weight:bold;'>百分位处理逻辑：</p>
    <p>对所选时间范围内的数据，取最大值Max，最小值Min，计算Max-Min，百分位=(现值-Min)/(Max-Min)，Max=Min时不计算</p>`,
    `<p style='font-weight:bold;'>频率分布处理逻辑：</p>
    <p>1、在所选时间范围内，取最大值和最小值；</p>
    <p>2、根据频段数划分多个间距相同的区间（左闭右开，最后一个区间为左闭右闭），统计数据值落在每个区间的数据个数；</p>
    <p>3、频率=落在某区间数据个数/所选时间段内数据总个数；</p>
    <p>4、累计频率为从最小值所在区间对应的频率开始累加；</p>`
]

//跨品种分析
export const crossVarietyAnalisisTextArr = [
    `<p style="font-weight:bold;">一、处理逻辑</p>
    <p>1、百分位计算公式：对所选时间范围内的数据，取最大值Max，最小值Min，计算Max-Min，百分位=(现值-Min)/(Max-Min)，Max=Min时不计算</p>
    <p>2、取值方式：</p>
    <p>（1）通过“选择日期”和“时间长度”，时间范围为“选择日期”至选择的日期往过去推“时间长度”，在这个时间段找出指标最大值和最小值，进行百分位计算。</p>
    <p>（2）若在（1）的时间范围下找不到值，则继续往过去找，直到找到值。</p>
    <p>3、图表说明：</p>
    <p> （1）某个品种会有多个坐标点（坐标点的数量取决于设置的日期数量）；</p>
    <p> （2）坐标点的X、Y值取实际日期与值。</p>`,

    `<p style="font-weight:bold;">二、相关配置</p>
    <p>1、基本配置</p>
    <p>（1）管理员进行品种管理、标签管理；</p>
    <p>（2）使用者对标签的品种关联指标。</p>
    <p>2、计算配置</p>
    <p>（1）时间长度：默认显示6个月；</p>
    <p>（2）选择日期：最多支持选择5个日期；</p>
    <p>（3）X轴坐标：选择标签；</p>
    <p>（4）Y轴坐标：选择标签；</p>
    <p>（5）图表名称：X轴坐标和Y轴坐标的拼接。</p>`

]