import mutations from "./mutations";
import * as getters from "./getters";

import sand from "./modules/sand";
import ppt from "./modules/ppt";
import edb from "./modules/edb";
import permissionButton from "./modules/permissionButton";
import sheet from "./modules/sheet";


// 应用初始状态
const state = {
  theme: "#409EFF",
  status: null, //用户在线状态
  dataAuth: null, //是否有数据报表权限
  //角色类型编码
  Role_type: [
    "admin", //管理员
    "ficc_admin", //ficc管理员
    "ficc_seller", //ficc销售
    "rai_admin", //权益管理员
    "rai_seller", //权益销售
    "rai_researcher", //权益研究员
    "ficc_researcher", //ficc研究员
  ],
  isCollapse: false,

  breadSelfName: '',//面包屑自定义当前页面name

  dynamicOutLinks:{},//外部动态链接配置 iframe链接 研报详情分享link
  // 是否执行过页面监听
  hasDoPageListening:false,
  // 是否有 试用用户行为权限
  hasTrialUserPermisson:false,
};

export default {
  state,
  getters,
  mutations,
  modules: {
    sand,
    ppt,
    edb,
    permissionButton,
    sheet
  },
};
